Bug 223433 - New port: comms/libsweep Low-level Scanse Sweep LiDAR library
Summary: New port: comms/libsweep Low-level Scanse Sweep LiDAR library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-04 19:50 UTC by Hyun Hwang
Modified: 2018-03-14 08:06 UTC (History)
2 users (show)

See Also:


Attachments
.shar file of comms/libsweep (2.80 KB, text/plain)
2017-11-04 19:50 UTC, Hyun Hwang
no flags Details
Revised shar (2.83 KB, text/plain)
2017-11-25 01:45 UTC, Hyun Hwang
no flags Details
portlint -AC output (12 bytes, text/plain)
2017-11-25 01:46 UTC, Hyun Hwang
no flags Details
poudriere testport logs of all supported releases (10.07 KB, application/x-xz)
2017-11-25 01:46 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2017-11-04 19:50:54 UTC
Created attachment 187737 [details]
.shar file of comms/libsweep

This is a port of libsweep 1.3.0, part of Scanse Sweep LiDAR SDK.

I recently contributed to the official SDK repository to enable its build on FreeBSD; now I am trying to add this to ports tree.
Comment 1 Hyun Hwang 2017-11-25 01:44:21 UTC
Comment on attachment 187737 [details]
.shar file of comms/libsweep

># This is a shell archive.  Save it in a file, remove anything before
># this line, and then unpack it by entering "sh file".  Note, it may
># create directories; files and directories will be owned by you and
># have default permissions.
>#
># This archive contains:
>#
>#	libsweep
>#	libsweep/Makefile
>#	libsweep/pkg-descr
>#	libsweep/pkg-plist
>#	libsweep/distinfo
>#	libsweep/files
>#	libsweep/files/patch-libsweep_man_sweep-ctl.1
>#
>echo c - libsweep
>mkdir -p libsweep > /dev/null 2>&1
>echo x - libsweep/Makefile
>sed 's/^X//' >libsweep/Makefile << 'b47cffe3636e985bd1bc6562ac9a9863'
>X# $FreeBSD$
>X
>XPORTNAME=		libsweep
>XDISTVERSIONPREFIX=	v
>XDISTVERSION=		1.3.0
>XCATEGORIES=		comms
>X
>XMAINTAINER=		hhwang@sent.com
>XCOMMENT=		Low-level Scanse Sweep LiDAR library
>X
>XLICENSE=		MIT
>XLICENSE_FILE=		${WRKSRC}/LICENSE
>X
>XUSE_GITHUB=		yes
>XGH_ACCOUNT=		scanse
>XGH_PROJECT=		sweep-sdk
>X
>XUSES=			cmake:outsource
>XCMAKE_BUILD_TYPE=	Release
>XCMAKE_SOURCE_PATH=	${WRKSRC}/libsweep
>X
>XOPTIONS_DEFINE=		NO_DEVICE
>XNO_DEVICE_DESC=		The library will generate dummy static point cloud
>XNO_DEVICE_CMAKE_BOOL=	DUMMY
>X
>X.include <bsd.port.mk>
>b47cffe3636e985bd1bc6562ac9a9863
>echo x - libsweep/pkg-descr
>sed 's/^X//' >libsweep/pkg-descr << '92242883e02cf8d54f1827452e218f52'
>XThis is a port of libsweep, part of Scanse Sweep LiDAR SDK.
>X
>XThis port will install libsweep with C99 header <sweep/sweep.h> and
>XC++11 header <sweep/sweep.hpp>. This port also installs sweep-ctl(1)
>Xwhich lets you to issue very basic commands to Sweep device.
>X
>XWWW: http://scanse.io/
>92242883e02cf8d54f1827452e218f52
>echo x - libsweep/pkg-plist
>sed 's/^X//' >libsweep/pkg-plist << 'c31f850d588a9083a142d4887a164efb'
>Xbin/sweep-ctl
>Xinclude/sweep/config.h
>Xinclude/sweep/sweep.h
>Xinclude/sweep/sweep.hpp
>Xlib/cmake/sweep/SweepConfig.cmake
>Xlib/libsweep.so
>Xlib/libsweep.so.1
>Xlib/libsweep.so.1.3.0
>Xman/man1/sweep-ctl.1.gz
>c31f850d588a9083a142d4887a164efb
>echo x - libsweep/distinfo
>sed 's/^X//' >libsweep/distinfo << 'eec312efd11245cf1fe23fca401fdee6'
>XTIMESTAMP = 1509816807
>XSHA256 (scanse-sweep-sdk-v1.3.0_GH0.tar.gz) = 30b51a9f68ec64684648b54e0d704da7e38a5a0f42a6bc965f3e33f4e3a80af0
>XSIZE (scanse-sweep-sdk-v1.3.0_GH0.tar.gz) = 101819
>eec312efd11245cf1fe23fca401fdee6
>echo c - libsweep/files
>mkdir -p libsweep/files > /dev/null 2>&1
>echo x - libsweep/files/patch-libsweep_man_sweep-ctl.1
>sed 's/^X//' >libsweep/files/patch-libsweep_man_sweep-ctl.1 << '4997432a116ac8576274871b58a79413'
>X--- libsweep/man/sweep-ctl.1.orig	2017-11-04 17:36:19 UTC
>X+++ libsweep/man/sweep-ctl.1
>X@@ -34,10 +34,10 @@ The device\[aq]s sample rate in Hz.
>X .IP
>X .nf
>X \f[C]
>X-$\ sweep\-ctl\ /dev/ttyUSB0\ get\ motor_speed
>X+$\ sweep\-ctl\ /dev/ttyU0\ get\ motor_speed
>X 3
>X 
>X-$\ sweep\-ctl\ /dev/ttyUSB0\ set\ motor_speed\ 5
>X+$\ sweep\-ctl\ /dev/ttyU0\ set\ motor_speed\ 5
>X 5
>X \f[]
>X .fi
>4997432a116ac8576274871b58a79413
>exit
>
Comment 2 Hyun Hwang 2017-11-25 01:45:44 UTC
Created attachment 188264 [details]
Revised shar
Comment 3 Hyun Hwang 2017-11-25 01:46:10 UTC
Created attachment 188265 [details]
portlint -AC output
Comment 4 Hyun Hwang 2017-11-25 01:46:53 UTC
Created attachment 188266 [details]
poudriere testport logs of all supported releases
Comment 5 Loïc Bartoletti 2018-03-14 07:29:12 UTC
Hi,

I didn't know this tool, but it's seems nice.

Did you plan to port everything related to this product?

I can't test in real condition, but it builds.

I created a review.
Comment 6 Hyun Hwang 2018-03-14 07:44:45 UTC
(In reply to lbartoletti from comment #5)

Hi,


> Did you plan to port everything related to this product?
The rest of the SDK are language-specific bindings in Java, Node.js, and Python. They all require this libsweep.so for their operation. So, yeah, I can add other language bindings as separate ports that bases upon this very port.

> I can't test in real condition, but it builds.
I had to use this on my Raspberry Pi which runs 11.1-RELEASE, so I can assure you that this works. :)

Thank you!
Comment 7 Yuri Victorovich freebsd_committer 2018-03-14 08:06:03 UTC
Committed as misc/libsweep-lidar.

Thank you, Hyun, for your contribution!
Thank you, lbartoletti, for reminding about it!
Comment 8 commit-hook freebsd_committer 2018-03-14 08:06:21 UTC
A commit references this bug:

Author: yuri
Date: Wed Mar 14 08:05:53 UTC 2018
New revision: 464468
URL: https://svnweb.freebsd.org/changeset/ports/464468

Log:
  New port: misc/libsweep-lidar: Low-level Scanse Sweep LiDAR library

  The library to communicate with the Scanse Sweep LiDAR device
  that is able to scan the space around it and build its point cloud
  representation.

  PR:		223433
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>
  Differential Revision:	https://reviews.freebsd.org/D14691

Changes:
  head/misc/Makefile
  head/misc/libsweep-lidar/
  head/misc/libsweep-lidar/Makefile
  head/misc/libsweep-lidar/distinfo
  head/misc/libsweep-lidar/files/
  head/misc/libsweep-lidar/files/patch-libsweep_man_sweep-ctl.1
  head/misc/libsweep-lidar/pkg-descr
  head/misc/libsweep-lidar/pkg-plist